Package net.snowflake.client.loader

## Class ProcessQueue

- java.lang.Object
- - net.snowflake.client.loader.ProcessQueue

All Implemented Interfaces:
  `Runnable`

    public class ProcessQueue
    extends Object
    implements Runnable

This class is responsible for processing a collection of uploaded data files represented by BufferStage class

### Constructor Summary

Constructors
`ProcessQueue​(StreamLoader loader)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `join()`
`void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProcessQueue

    public ProcessQueue​(StreamLoader loader)

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`

#### join

    public void join()